import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
interface SelectOptions {
    name: string;
    displayName: string;
}
interface SelectCellRendererParams extends ICellRendererParams {
    accessor: string;
    defaultValue?: string;
    options: SelectOptions[];
    onSelect: (value: string, params: SelectCellRendererParams) => void;
}
export declare class SelectRenderer extends FoundationElement implements ICellRendererComp {
    params: SelectCellRendererParams;
    value: string;
    init(params: SelectCellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: SelectCellRendererParams): boolean;
    selectionChanged: (e: any) => void;
}
export declare const agSelectRendererStyles: import("@microsoft/fast-element").ElementStyles;
export declare const getSelectRendererTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<any, any>;
export declare const foundationAgSelectRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}, typeof SelectRenderer>;
export {};
//# sourceMappingURL=select.renderer.d.ts.map