import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
interface FuiCellRendererParams extends ICellRendererParams {
    changeHandler?: () => any;
}
export declare class BooleanRenderer extends FoundationElement implements ICellRendererComp {
    params: FuiCellRendererParams;
    init(params: FuiCellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: FuiCellRendererParams): boolean;
}
export declare const agBooleanRendererStyles: import("@microsoft/fast-element").ElementStyles;
export declare const getAgBooleanRendererTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<any, any>;
/**
 * The Foundation Boolean Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-boolean-renderer\>
 */
export declare const foundationAgBooleanRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}, typeof BooleanRenderer>;
export {};
//# sourceMappingURL=boolean.renderer.d.ts.map